<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateFacInfoReq StructType
 * @subpackage Structs
 */
class UpdateFacInfoReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The code
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 16
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $code;
    /**
     * The authorizationLevel
     * Meta information extracted from the WSDL
     * - default: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $authorizationLevel;
    /**
     * Constructor method for UpdateFacInfoReq
     * @uses UpdateFacInfoReq::setNewName()
     * @uses UpdateFacInfoReq::setCode()
     * @uses UpdateFacInfoReq::setAuthorizationLevel()
     * @param string $newName
     * @param string $code
     * @param string $authorizationLevel
     */
    public function __construct($newName = null, $code = null, $authorizationLevel = '0')
    {
        $this
            ->setNewName($newName)
            ->setCode($code)
            ->setAuthorizationLevel($authorizationLevel);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateFacInfoReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get code value
     * @return string|null
     */
    public function getCode()
    {
        return $this->code;
    }
    /**
     * Set code value
     * @param string $code
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateFacInfoReq
     */
    public function setCode($code = null)
    {
        $this->code = $code;
        return $this;
    }
    /**
     * Get authorizationLevel value
     * @return string|null
     */
    public function getAuthorizationLevel()
    {
        return $this->authorizationLevel;
    }
    /**
     * Set authorizationLevel value
     * @param string $authorizationLevel
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateFacInfoReq
     */
    public function setAuthorizationLevel($authorizationLevel = '0')
    {
        $this->authorizationLevel = $authorizationLevel;
        return $this;
    }
}
